Bug 790564 - Review Request: glassfish-fastinfoset - Fast Infoset
Summary: Review Request: glassfish-fastinfoset - Fast Infoset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Andy Grimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 790553
Blocks: 796201 800720
TreeView+ depends on / blocked
 
Reported: 2012-02-14 20:41 UTC by Juan Hernández
Modified: 2016-11-08 03:46 UTC (History)
5 users (show)

Fixed In Version: glassfish-fastinfoset-1.2.12-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-07 17:35:43 UTC
Type: ---
agrimm: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Juan Hernández 2012-02-14 20:41:38 UTC
Spec URL:

http://jhernand.fedorapeople.org/rpms/glassfish-fi/2/glassfish-fi.spec

SRPM URL:

http://jhernand.fedorapeople.org/rpms/glassfish-fi/2/glassfish-fi-1.2.12-2.fc17.src.rpm

Description:

Fast Infoset specifies a standardized binary encoding for the XML Information
Set. An XML infoset (such as a DOM tree, StAX events or SAX events in
programmatic representations) may be serialized to an XML 1.x document or, as
specified by the Fast Infoset standard, may be serialized to a fast infoset
document.  Fast infoset documents are generally smaller in size and faster to
parse and serialize than equivalent XML documents.

Comment 1 Andy Grimm 2012-03-07 15:39:20 UTC
=== REQUIRED ITEMS ===
[x]  Rpmlint output:
glassfish-fi.noarch: W: spelling-error %description -l en_US infoset -> info set, info-set, interpose
glassfish-fi.noarch: W: no-documentation
glassfish-fi.src: W: spelling-error %description -l en_US infoset -> info set, info-set, interpose
glassfish-fi.src: W: invalid-url Source0: glassfish-fi-1.2.12-src-svn.tar.gz
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
[!]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :
MD5SUM upstream package:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: rawhide x86_64

=== Issues ===
1. Sorry to harp on the package naming issue again, but I really think we should match the artifact id unless there's good reason _not_ to do so.  Here the artifact id is FastInfoset, and the template rpm in the source tree suggests that the package name should be "sun-fastinfoset".  I would suggest that the name be one of: FastInfoset, fastinfoset or glassfish-fastinfoset, and if the jar is called anything other than FastInfoset.jar, we should symlink FastInfoset.jar, since that is the commonly accepted name of this jar file.

Comment 2 Juan Hernández 2012-03-07 16:18:44 UTC
Renamed the package to glassfish-infoset and included the FastInfoset.jar symlink. The updated SRPM and spec are available here:

http://jhernand.fedorapeople.org/rpms/glassfish-fastinfoset/1.2.12-3

Comment 3 Juan Hernández 2012-03-07 16:19:40 UTC
Should have said "renamed to glassfish-fastinfoset".

Comment 4 Andy Grimm 2012-03-07 16:30:35 UTC
Looks good.

APPROVED

Comment 5 Juan Hernández 2012-03-07 16:41:10 UTC
New Package SCM Request
=======================
Package Name: glassfish-fastinfoset
Short Description: Fast Infoset
Owners: jhernand
Branches: f17
InitialCC: goldmann

Comment 6 Gwyn Ciesla 2012-03-07 16:51:45 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-03-23 14:18:23 UTC
glassfish-fastinfoset-1.2.12-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glassfish-fastinfoset-1.2.12-3.fc17

Comment 8 Fedora Update System 2012-04-12 03:22:58 UTC
glassfish-fastinfoset-1.2.12-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.